List videos in a project

GET/media/v1/projects/{projectId}/videos

Returns the videos belonging to a project.

Authorization<token>

In: header

Path Parameters

projectId*string

Project ID

Response Body

200application/json

OK

type: unknown

{
  "$ref": "#/components/schemas/videosv1.ListVideosResponse",
  "$ref-value": {
    "properties": {
      "videos": {
        "items": {
          "$ref": "#/components/schemas/videosv1.VideoSummary",
          "$ref-value": {
            "properties": {
              "codec": {
                "type": "string"
              },
              "created_at": {
                "type": "string"
              },
              "duration": {
                "type": "number"
              },
              "height": {
                "type": "integer"
              },
              "id": {
                "type": "string"
              },
              "name": {
                "type": "string"
              },
              "size": {
                "type": "integer"
              },
              "visibility": {
                "$ref": "#/components/schemas/videosv1.Visibility",
                "$ref-value": {
                  "enum": [
                    0,
                    1,
                    2,
                    3
                  ],
                  "type": "integer",
                  "x-enum-varnames": [
                    "Visibility_VISIBILITY_UNSPECIFIED",
                    "Visibility_VISIBILITY_PUBLIC",
                    "Visibility_VISIBILITY_UNLISTED",
                    "Visibility_VISIBILITY_PRIVATE"
                  ]
                }
              },
              "width": {
                "type": "integer"
              }
            },
            "type": "object"
          }
        },
        "type": "array"
      }
    },
    "type": "object"
  }
}
curl -X GET "https://api.rixl.com/media/v1/projects/string/videos"

OK

application/json

{
  "$ref": "#/components/schemas/videosv1.ListVideosResponse",
  "$ref-value": {
    "properties": {
      "videos": {
        "items": {
          "$ref": "#/components/schemas/videosv1.VideoSummary",
          "$ref-value": {
            "properties": {
              "codec": {
                "type": "string"
              },
              "created_at": {
                "type": "string"
              },
              "duration": {
                "type": "number"
              },
              "height": {
                "type": "integer"
              },
              "id": {
                "type": "string"
              },
              "name": {
                "type": "string"
              },
              "size": {
                "type": "integer"
              },
              "visibility": {
                "$ref": "#/components/schemas/videosv1.Visibility",
                "$ref-value": {
                  "enum": [
                    0,
                    1,
                    2,
                    3
                  ],
                  "type": "integer",
                  "x-enum-varnames": [
                    "Visibility_VISIBILITY_UNSPECIFIED",
                    "Visibility_VISIBILITY_PUBLIC",
                    "Visibility_VISIBILITY_UNLISTED",
                    "Visibility_VISIBILITY_PRIVATE"
                  ]
                }
              },
              "width": {
                "type": "integer"
              }
            },
            "type": "object"
          }
        },
        "type": "array"
      }
    },
    "type": "object"
  }
}